
.TH CCTEX 1 12/19/89 
.SH NAME
cctex \- render a Chinese TeX file into Postscript

.SH SYNOPSIS

.I cctex foo.tex 

where 
.I foo.tex
is a Chinese TeX file.

.SH DESCRIPTION
The purpose of
.B cctex 
is to render a Chinese TeX file into Postscript for printing.
The appropriate command is

.I cctex foo.tex

where 
.I foo.tex
is the name of your Chinese TeX file.  
This filename must end in 
.I .tex.
The output is another file called
.I foo.ps 
which can be printed on a Postscript printer, using
a command such as 

.I lpr foo.ps.

.PP
The 
.B cctex
program is nothing more than a shell script which automates
steps (2) through (5) of the procedure described in the 
.B chtex
man page.  

.SH "TEX FILE FORMAT"
The input file 
.I foo.tex
is just like an ordinary  
.I .tex 
file, except that 
.I foo.tex
may contain Chinese characters.
The Chinese characters must be in CCDOS format.
This means that each character is represented by a 
code consisting of two consecutive
8-bit bytes, and each of these two bytes has 
its high bit set to 1.  The 
two-byte character codes are in accordance with the Guo2-Biao1
standard.  Except for the presence of Chinese characters codes,
.I foo.tex 
looks just like an ordinary 
.I .tex 
file.  In particular,
.I foo.tex 
may invoke any of the usual TeX commands and macros.  
Simple examples of Chinese TeX files can be found with the 
.B chtex 
documentation (see below).
.PP
Except for the Chinese characters codes, 
all of the bytes in 
.I foo.tex 
are in the standard ASCII range, from 1 to 127.
Such a byte has its high bit set to 0.  Thus 
.B cctex
will be able to distinguish Chinese character codes from
the other bytes in 
.I foo.tex
.PP
In order to create 
.I foo.tex, 
it may be convenient to use
a plain-vanilla CCDOS editor.  Your editor should be able to
produce a mixture of 
Chinese character codes and standard ASCII.
For example, on a PC you can use Byx or Chinese Wordstar
in "non-document" mode.  
On a Macintosh, analogous editors are available.
Here on the Penn State Math Department Suns,
you can use J. B. Wang's interesting program,
.B chtext
(not to be confused with
.B chtex).
Documentation for 
.B chtext 
can be found with the
.B chtex
documentation (see below).

.SH DOCUMENTATION
The 
.B cctex
script calls several major programs, including
.B chtex, tex,
and
.B dvi2ps.
These programs have their own documentation,
beginning with the appropriate man pages.  
Most directly relevant are the 
.B chtex
man page and the documentation files in
.I /home/boole/simpson/doc/chtex.
.PP
In order to use the Chinese TeX system as described
here, you must have an account on the Penn State Mathematics
Department Computer Network, math.psu.edu.
If you have any questions, try reading the
documention.  If that doesn't help, try
sending mail to simpson@math.psu.edu.

.SH AUTHORS
The
.B cctex
program is a simple shell script 
which automates the use of 
.B chtex 
and 
.B dvi2ps
to render Chinese TeX files into Postscript.  The 
.B chtex 
program and the idea of Chinese TeX 
are due to J. B. Wang, jwang@pittvms.bitnet.  The
.B dvi2ps
program is a public domain dvi-to-Postscript converter,
specially hacked by J. B. Wang to work with 
.B chtex.
The
.B cctex
script is by S. G. Simpson, simpson@math.psu.edu.

.SH BUGS
The
.B chtex
program, which is the heart of
.B cctex,
is still under development and fairly buggy.  If
.B chtex
runs into trouble, try hitting <Return>.

